Bug 195788 - kernel Oops, various "NULL pointer dereference" and "paging request at virtual address"
kernel Oops, various "NULL pointer dereference" and "paging request at virtua...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-17 15:25 EDT by Lloyd Matthews
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 08:35:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lloyd Matthews 2006-06-17 15:25:15 EDT
Kernel Oops

I have the hangs both with and without the livna nvidia drivers.  The hang
occurs at varying times.  Anywhere from a few minutes to many hours of running.
 I do not leave this machine up 24/7, so it always happens after a cold boot for
the day.  Some days I may be on for 4-5 hours and not have a hang.  It appears
that if I wait long enough during a hang, I can usually get a virtual terminal
and do a shutdown.  2111 kernel appears to be OK, although I have had it hang
after a reboot from a lockup in another kernel.  Never had a hang with cold boot
into 2111.  One thing I have notice is that sometimes after a hang, the system
time is off by a significant amount (10s of seconds to minutes).

I have two other computers running FC5 and they do not exhibit this problem. 
Both of those systems are different mixes of hardware vs the problem system. 
All three systems are upgrades from FC3, and one has been upgraded from FC1 =>
FC3> FC5.  That one runs fine.

Happens with 2122 and 2133 kernels


Given enough time, the two kernels above always will hang.

Here is my system info for the problem system:

Soyo Dragon Plus
AthlonXP 1700+
512MB DDR2100
using on-board lan and sound
Geforce3 ti200
WD 120GB primary
Maxtor 120GB on Promise Ultra

Here are some of the relevant sections of the error messages from the message log:

kernel 2122

Jun  7 10:28:52 HAL5000 kernel: Unable to handle kernel NULL pointer dereference
 at virtual address 00000130
Jun  7 10:28:52 HAL5000 kernel:  printing eip:
Jun  7 10:28:52 HAL5000 kernel: c011755e
Jun  7 10:28:52 HAL5000 kernel: *pde = 24848900
Jun  7 10:28:52 HAL5000 kernel: Oops: 0000 [#1]
Jun  7 10:28:52 HAL5000 kernel: last sysfs file: /block/hda/removable
Jun  7 10:28:52 HAL5000 kernel: Modules linked in: sd_mod sg usb_storage scsi_mo
d vfat fat autofs4 it87 hwmon_vid hwmon eeprom i2c_isa hidp l2cap bluetooth sunr
pc xt_limit xt_tcpudp iptable_mangle ipt_LOG ipt_MASQUERADE ip_nat ipt_TOS ipt_R
EJECT ip_conntrack_irc ip_conntrack_ftp xt_state ip_conntrack nfnetlink iptable_
filter ip_tables x_tables dm_mirror dm_mod video button battery ac ipv6 lp parpo
rt_pc parport floppy nvram uhci_hcd nvidia(U) snd_cmipci gameport snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss snd_mixer_oss snd_pcm i2c_via
pro snd_page_alloc snd_opl3_lib snd_timer snd_hwdep i2c_core snd_mpu401_uart snd
_rawmidi snd_seq_device via_ircc snd irda soundcore via_rhine mii crc_ccitt ext3
 jbd
Jun  7 10:28:52 HAL5000 kernel: CPU:    0
Jun  7 10:28:52 HAL5000 kernel: EIP:    0060:[<c011755e>]    Tainted: P      VLI
Jun  7 10:28:52 HAL5000 kernel: EFLAGS: 00010213   (2.6.16-1.2122_FC5 #1)
Jun  7 10:28:52 HAL5000 kernel: EIP is at kmap_atomic+0x1c/0x7a
Jun  7 10:28:52 HAL5000 kernel: eax: 00000001   ebx: d106ad18   ecx: c2fea100
edx: 00000000
Jun  7 10:28:52 HAL5000 kernel: esi: 0000000f   edi: cbb0fe34   ebp: cbb0fe34
esp: c9827f1c
Jun  7 10:28:52 HAL5000 kernel: ds: 007b   es: 007b   ss: 0068
Jun  7 10:28:52 HAL5000 kernel: Process gawk (pid: 14887, threadinfo=c9827000 ta
sk=d1216000)
Jun  7 10:28:52 HAL5000 kernel: Stack: <0>d106ad18 d106ace0 c0144700 ccddf020 00
000000 c015e02f 097b13b4 d106ace0
Jun  7 10:28:52 HAL5000 kernel:        00000df0 c77e7094 d106ad34 00000001 00001
000 00000000 c0345c00 00001000
Jun  7 10:28:52 HAL5000 kernel:        00000012 d1216000 c0344610 c9827f94 d106a
d18 d106ace0 cbb0fe34 d1216000
Jun  7 10:28:52 HAL5000 kernel: Call Trace:
Jun  7 10:28:52 HAL5000 kernel:  [<c0144700>] __handle_mm_fault+0xa5/0x7c3     [
<c015e02f>] pipe_readv+0x2a5/0x2b1
Jun  7 10:28:54 HAL5000 kernel:  [<c02de17a>] do_page_fault+0x189/0x51d     [<c0
2ddff1>] do_page_fault+0x0/0x51d
Jun  7 10:28:54 HAL5000 kernel:  [<c01036a3>] error_code+0x4f/0x54    <0>Code: 0
0 00 c1 e8 0c c1 e0 05 03 05 b0 24 41 c0 c3 56 53 89 c1 89 d6 b8 00 f0 ff ff 21
e0 ff 40 14 8b 01 c1 e8 1e 8b 14 85 c8 13 3a c0 <8b> 82 30 01 00 00 05 d8 03 00
00 39 c2 74 09 89 c8 5b 5e e9 22

---------------------------------------------

Kernel 2133

Jun 13 17:12:38 HAL5000 kernel: Unable to handle kernel paging request at
virtual address 00005109
Jun 13 17:12:38 HAL5000 kernel:  printing eip:
Jun 13 17:12:38 HAL5000 kernel: c01ca6f0
Jun 13 17:12:38 HAL5000 kernel: *pde = 0cd43067
Jun 13 17:12:38 HAL5000 kernel: Oops: 0000 [#1]
Jun 13 17:12:38 HAL5000 kernel: last sysfs file: /devices/platform/i2c-9191/9191
-0290/fan3_min
Jun 13 17:12:38 HAL5000 kernel: Modules linked in: autofs4 it87 hwmon_vid hwmon
eeprom i2c_isa hidp l2cap bluetooth sunrpc xt_limit xt_tcpudp iptable_mangle ipt
_LOG ipt_MASQUERADE ip_nat ipt_TOS ipt_REJECT ip_conntrack_irc ip_conntrack_ftp
xt_state ip_conntrack nfnetlink iptable_filter ip_tables x_tables dm_mirror dm_m
od video button battery ac ipv6 lp parport_pc parport floppy nvram uhci_hcd snd_
cmipci gameport snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_pcm_oss
 snd_mixer_oss snd_pcm i2c_viapro i2c_core snd_page_alloc via_ircc snd_opl3_lib
snd_timer irda via_rhine snd_hwdep snd_mpu401_uart snd_rawmidi mii snd_seq_devic
e snd soundcore crc_ccitt ext3 jbd
Jun 13 17:12:38 HAL5000 kernel: CPU:    0
Jun 13 17:12:38 HAL5000 kernel: EIP:    0060:[<c01ca6f0>]    Not tainted VLI
Jun 13 17:12:38 HAL5000 kernel: EFLAGS: 00210096   (2.6.16-1.2133_FC5 #1)
Jun 13 17:12:38 HAL5000 kernel: EIP is at _raw_spin_lock+0x5/0xd3
Jun 13 17:12:38 HAL5000 kernel: eax: 00005105   ebx: 00005105   ecx: 00000000
edx: c3ab40b4
Jun 13 17:12:38 HAL5000 kernel: esi: c7ab4000   edi: 00005105   ebp: c3ab40b4
esp: d2b2fe94
Jun 13 17:12:38 HAL5000 kernel: ds: 007b   es: 007b   ss: 0068
Jun 13 17:12:38 HAL5000 kernel: Process kicker (pid: 2592, threadinfo=d2b2f000 t
ask=d53bb000)
Jun 13 17:12:38 HAL5000 kernel: Stack: <0>00200296 c7ab4000 00005105 c02e39e4 c3
ab40b0 c012b941 00200200 c3ab40b0
Jun 13 17:12:38 HAL5000 kernel:        c7ab4000 0000000e d2b2ffa0 c0164f49 00000
000 cceb3e40 c0165645 d2b2ffa0
Jun 13 17:12:38 HAL5000 kernel:        d2b2ff50 00000000 00000000 0000000e cba0b
890 cba0b894 cba0b898 cba0b884
Jun 13 17:12:39 HAL5000 kernel: Call Trace:
Jun 13 17:12:39 HAL5000 kernel:  [<c02e39e4>] _spin_lock_irqsave+0x9/0xd     [<c
012b941>] remove_wait_queue+0x10/0xab
Jun 13 17:12:39 HAL5000 kernel:  [<c0164f49>] poll_freewait+0x18/0x50     [<c016
5645>] do_select+0x393/0x3c0
Jun 13 17:12:40 HAL5000 kernel:  [<c0165b65>] __pollwait+0x0/0x94     [<c01658eb
>] core_sys_select+0x279/0x297
Jun 13 17:12:40 HAL5000 kernel:  [<c02dc7e4>] unix_ioctl+0xa3/0xac     [<c0165e8
f>] sys_select+0x9f/0x180
Jun 13 17:12:40 HAL5000 kernel:  [<c01055ac>] do_syscall_trace+0x104/0x14a     [
<c0102be9>] syscall_call+0x7/0xb
Comment 1 Lloyd Matthews 2006-06-23 22:37:17 EDT
I've run memtest86 for 6 hours and have not had any memory errors.  I know this
is not a definitive test, but at least it does not show any gross memory problems.
Comment 2 Dave Jones 2006-08-11 02:01:40 EDT
Can you get a trace from the current errata kernel ?
Comment 3 Lloyd Matthews 2006-08-15 13:26:20 EDT
The newest 2.6.17 kernels do not show these problems.  I don't have the 2.6.16
kernels installed now.  It appears that the update to 2.6.17 fixed these
problems.  Do you still want a trace from then newer kernels?
Comment 4 Lloyd Matthews 2006-08-29 18:37:06 EDT
So far I have not had any more oops, eek, or bug messages with the 2.6.17
kernels.  I believe this bug can be closed.
Comment 5 Dave Jones 2006-10-16 17:40:50 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Dave Jones 2006-11-24 17:12:28 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 7 Jon Stanley 2008-02-05 08:35:14 EST
Closing since there was an error in previous mass-close and they remained in
NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.